#
# Conditional build:
%bcond_without	appindicator	# application indicators support
%bcond_without	vdccm		# vdccm support
#
Summary:	SynCE tray icon for GNOME
Summary(pl.UTF-8):	SynCE jako ikona tacki dla środowiska GNOME
Name:		synce-trayicon
Version:	0.17
Release:	2
License:	MIT
Group:		X11/Applications/Networking
Source0:	http://downloads.sourceforge.net/synce/%{name}-%{version}.tar.gz
# Source0-md5:	0ebb11add5cf858f6334a97e3647e1e3
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.26
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	intltool
%{?with_appindicator:BuildRequires:	libappindicator-gtk3-devel >= 0.0.7}
BuildRequires:	libgnome-keyring-devel
%{?with_vdccm:BuildRequires:	libgtop-devel >= 1:2.0.0}
BuildRequires:	libnotify-devel >= 0.7
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.0
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	synce-core-lib-devel >= 0.17
BuildRequires:	synce-orange-libs-devel >= 0.4-3
BuildRequires:	synce-rra-devel >= 0.17
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.26
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.26
Requires:	hicolor-icon-theme
%{?with_appindicator:Requires:	libappindicator-gtk3 >= 0.0.7}
Requires:	libxml2 >= 1:2.6.0
Requires:	synce-core >= 0.17
Requires:	synce-orange-libs >= 0.4-3
Requires:	synce-rra >= 0.17
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
synce-trayicon is part of the SynCE project: <http://www.synce.org/>.

This application shows when a device is connected.

%description -l pl.UTF-8
synce-trayicon to część projektu SynCE: <http://www.synce.org/>.

Ta aplikacja pokazuje, kiedy urządzenie jest podłączone.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_appindicator:--disable-appindicator} \
	--disable-hal-support \
	--enable-odccm-support \
	--disable-schemas-install \
	--enable-udev-support \
	%{?with_vdccm:--enable-vdccm-support}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/modules/*.la

install -d $RPM_BUILD_ROOT/etc/xdg/autostart
%{__mv} $RPM_BUILD_ROOT{%{_datadir}/gnome/autostart,/etc/xdg/autostart}/%{name}-autostart.desktop
rmdir $RPM_BUILD_ROOT%{_datadir}/gnome/autostart
rmdir $RPM_BUILD_ROOT%{_datadir}/gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_desktop_database_postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/synce-trayicon
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%attr(755,root,root) %{_libdir}/%{name}/modules/*.so
# dir shared among some synce-* apps
%dir %{_datadir}/synce
%{_datadir}/synce/synce_trayicon_properties.glade
%{_datadir}/glib-2.0/schemas/org.synce.SynceTrayicon.gschema.xml
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/synce-color.png
%{_iconsdir}/hicolor/*/apps/synce-gray.png
%{_mandir}/man1/%{name}.1*
/etc/xdg/autostart/%{name}-autostart.desktop
%changelog
* Sun Sep 24 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/synce-trayicon.git;a=log;h=master

* Sun Sep 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> d814491
- release 2 (by relup.sh)

* Sun Feb 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 416a1aa
- updated to 0.17
- removed obsolete libnotify,backends patches

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 801fab8
- updated gettext BR

* Sun Jul 27 2014 Jan Rękorajski <baggins@pld-linux.org> 7e9cc35
- release 3 (by relup.sh)

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> c6b17f3
- rel 2
- fix backend patch

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> dac849a
- 0.15.1
- added backend patch from SVN
- disabled HAL (obsolete)

* Fri Apr 08 2011 lisu <lisu@pld-linux.org> 8535e10
- support for libnotify 0.7

* Thu Apr 07 2011 lisu <lisu@pld-linux.org> 653ee2e
- rel 4

* Wed Feb 23 2011 Elan Ruusamäe <glen@pld-linux.org> ee640d2
- %requires_ge_to

* Wed Feb 02 2011 sparky <sparky@pld-linux.org> b4e944d
- BR: hal-devel

* Thu Oct 28 2010 Elan Ruusamäe <glen@pld-linux.org> 3ecedf3
- install to xdg autostart, not just gnome to avoid pulling whole gnome
- BR fixed orange-libs devel deps

* Tue Jun 15 2010 arvenil <arvenil@pld-linux.org> 05773ea
- up to 0.15
- there is no synce-rra in version 0.15;
  required version lowered to 0.14

* Thu Oct 30 2008 Szymon Siwek <sls@pld-linux.org> abe05d4
- replace requirement synce-odccm with R: synce-connector (from synce-libsynce.spec)
- BR: intltool
- rel. 2

* Wed Oct 22 2008 Szymon Siwek <sls@pld-linux.org> bf1d4ba
- ver. 0.12
- updated BR

* Fri May 16 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> c73986a
- R:synce-odccm

* Fri May 16 2008 Jakub Bogusz <qboosh@pld-linux.org> 05b30a8
- BR: ac,lt
- no *.la for modules

* Fri May 16 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 3425742
- up to 0.11

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 0f3f23f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1052d89
- converted to UTF-8

* Mon Dec 11 2006 Elan Ruusamäe <glen@pld-linux.org> c60ac78
- new URL

